From f4b53414b9ff3ba854c06a5813bb38a10e4f2f26 Mon Sep 17 00:00:00 2001
From: jcoleman <jtc331@gmail.com>
Date: Sat, 1 Jun 2024 11:22:27 -0700
Subject: [PATCH v1] Fix comment grammar oddities

---
 src/backend/optimizer/plan/subselect.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/backend/optimizer/plan/subselect.c b/src/backend/optimizer/plan/subselect.c
index e35ebea8b4..846081dc73 100644
--- a/src/backend/optimizer/plan/subselect.c
+++ b/src/backend/optimizer/plan/subselect.c
@@ -1271,15 +1271,15 @@ convert_ANY_sublink_to_join(PlannerInfo *root, SubLink *sublink,
 	Assert(sublink->subLinkType == ANY_SUBLINK);
 
 	/*
-	 * If the sub-select refers to any Vars of the parent query, we so let's
-	 * considering it as LATERAL.  (Vars of higher levels don't matter here.)
+	 * If the sub-select refers to any Vars of the parent query, we treat it
+	 * as LATERAL.  (Vars of higher levels don't matter here.)
 	 */
 	sub_ref_outer_relids = pull_varnos_of_level(NULL, (Node *) subselect, 1);
 	use_lateral = !bms_is_empty(sub_ref_outer_relids);
 
 	/*
-	 * Check that sub-select refers nothing outside of available_rels of the
-	 * parent query.
+	 * The sub-select can't refer to any rels beyond what the parent query
+	 * makes available.
 	 */
 	if (!bms_is_subset(sub_ref_outer_relids, available_rels))
 		return NULL;
-- 
2.39.3 (Apple Git-146)

